# Reply To Message (/api-reference/reply-to-message)

<!-- agent-signals: reading_time_min: 3 · est_tokens: 1888 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# Reply To Message

`POST /v0/inboxes/{inbox_id}/messages/{message_id}/reply`

Reply To Message

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "inbox_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "inboxesInboxId",
        "type": "string",
        "description": "ID of inbox."
      }
    },
    {
      "name": "message_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "MessageId",
        "type": "string",
        "description": "ID of message."
      }
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "title": "ReplyToMessageRequest",
          "type": "object",
          "properties": {
            "labels": {
              "title": "MessageLabels",
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "Labels of message."
            },
            "reply_to": {
              "title": "Addresses",
              "oneOf": [
                {
                  "type": "string"
                },
                {
                  "type": "array",
                  "items": {
                    "type": "string"
                  }
                }
              ]
            },
            "to": {
              "title": "Addresses",
              "oneOf": [
                {
                  "type": "string"
                },
                {
                  "type": "array",
                  "items": {
                    "type": "string"
                  }
                }
              ]
            },
            "cc": {
              "title": "Addresses",
              "oneOf": [
                {
                  "type": "string"
                },
                {
                  "type": "array",
                  "items": {
                    "type": "string"
                  }
                }
              ]
            },
            "bcc": {
              "title": "Addresses",
              "oneOf": [
                {
                  "type": "string"
                },
                {
                  "type": "array",
                  "items": {
                    "type": "string"
                  }
                }
              ]
            },
            "reply_all": {
              "title": "ReplyAll",
              "type": "boolean",
              "description": "Reply to all recipients of the original message."
            },
            "text": {
              "title": "MessageText",
              "type": "string",
              "description": "Plain text body of message."
            },
            "html": {
              "title": "MessageHtml",
              "type": "string",
              "description": "HTML body of message."
            },
            "attachments": {
              "title": "SendMessageAttachments",
              "type": "array",
              "items": {
                "title": "SendAttachment",
                "type": "object",
                "properties": {
                  "filename": {
                    "title": "AttachmentFilename",
                    "type": "string",
                    "description": "Filename of attachment."
                  },
                  "content_type": {
                    "title": "AttachmentContentType",
                    "type": "string",
                    "description": "Content type of attachment."
                  },
                  "content_disposition": {
                    "title": "AttachmentContentDisposition",
                    "type": "string",
                    "enum": [
                      "inline",
                      "attachment"
                    ],
                    "description": "Content disposition of attachment."
                  },
                  "content_id": {
                    "title": "AttachmentContentId",
                    "type": "string",
                    "description": "Content ID of attachment."
                  },
                  "content": {
                    "type": "string",
                    "nullable": true,
                    "description": "Base64 encoded content of attachment."
                  },
                  "url": {
                    "type": "string",
                    "nullable": true,
                    "description": "URL to the attachment."
                  }
                }
              },
              "description": "Attachments to include in message."
            },
            "headers": {
              "title": "SendMessageHeaders",
              "type": "object",
              "additionalProperties": {
                "type": "string"
              },
              "description": "Headers to include in message."
            }
          }
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "SendMessageResponse",
            "type": "object",
            "properties": {
              "message_id": {
                "title": "MessageId",
                "type": "string",
                "description": "ID of message."
              },
              "thread_id": {
                "title": "ThreadId",
                "type": "string",
                "description": "ID of thread."
              }
            },
            "required": [
              "message_id",
              "thread_id"
            ]
          }
        }
      }
    },
    "400": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ValidationErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "errors": {
                "description": "Validation errors."
              }
            },
            "required": [
              "name",
              "errors"
            ]
          }
        }
      }
    },
    "403": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            },
            "required": [
              "name",
              "message"
            ]
          }
        }
      }
    },
    "404": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            },
            "required": [
              "name",
              "message"
            ]
          }
        }
      }
    }
  }
}
```
